Besoin d'une librairie mais elle retire trop de paquet


#1

Je souhaite installer k3b pour graver mais le probleme c’est qu’il requière la librairie libqt3c102-mt et il me dit qu’elle ne peut pas etre installé.

[code]sudo apt-get install k3b
Lecture des listes de paquets… Fait
Construction de l’arbre des dépendances… Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l’impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n’ont pas encore
été créés ou ne sont pas sortis d’Incoming.

Puisque vous n’avez demandé qu’une seule opération, le paquet n’est
probablement pas installable et vous devriez envoyer un rapport de bogue.
L’information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
k3b: Dépend: k3blibs (>= 0.11.20) mais ne sera pas installé
Dépend: kdelibs4 (>= 4:3.3.2-1) mais ne sera pas installé
Dépend: libarts1 (>= 1.3.2) mais ne sera pas installé
Dépend: libqt3c102-mt (>= 3:3.3.3) mais ne sera pas installé
E: Paquets défectueux
[/code]
J’essaye donc de l’installer mais il veux me virer quasiment tout mes paquets.

apt-get install libqt3c102-mt E: Impossible d'ouvrir le fichier verrou /var/lib/apt/lists/lock - open (13 Permission non accordée) E: Impossible de verrouiller le répertoire de liste ash@seal:/etc/cdrecord$ sudo apt-get install libqt3c102-mt Lecture des listes de paquets... Fait Construction de l'arbre des dépendances... Fait Paquets suggérés : libqt3c102-mt-psql libqt3c102-mt-mysql libqt3c102-mt-odbc Les paquets suivants seront ENLEVÉS : arts bbconf dbus-qt-1c2 kaffeine kaffeine-xine kappfinder kate kcontrol kde-core kdebase kdebase-bin kdebase-kio-plugins kdelibs kdelibs-bin kdelibs4c2 kdepasswd kdeprint kdesktop kdf kdm kfind khelpcenter kicker klipper kmenuedit knights konqueror konqueror-nsplugins konsole kpager kpersonalizer kscreensaver kscreensaver-xsavers ksmserver ksplash ksysguard ktip kwin libarts1c2 libkonq4 libqt3-mt scribus scribus-doc scribus-template Les NOUVEAUX paquets suivants seront installés : libqt3c102-mt 0 mis à jour, 1 nouvellement installés, 44 à enlever et 0 non mis à jour. Il est nécessaire de prendre 3045ko dans les archives. Après dépaquetage, 124Mo d'espace disque seront libérés. Comment puis je faire pour l’installer sans virer mes paquets?


#2

Ce qui est bizarre, c’est que K3B est bien installé chez moi mais je suis allé voir sur Synaptic et la librairie que tu indiques est bien présente mais non installée :open_mouth:
Info : je suis en unstable sur cette Debian et toi ?


#3

Je suis en testing je vais allez voir avec synaptic et j’editerais le message pour completer
Avec Synaptic ca me donne ça

k3b: Dépend : k3blibs mais ne doit pas être installé Dépend : kdelibs4 mais ne doit pas être installé Dépend : libarts1 mais ne doit pas être installé Dépend : libqt3c102-mt mais ne doit pas être installé

kde 3.4.2
kernel 2.6.11


#4

La Testing semble un peu “cassée” depuis un moment, car si je lance une “Mise à jour intelligente” avec synaptic, il veut me virer une tripottée de paquets dont k3b… je refuse bien sûr, jusqu’à temps que ce soit réparé.


#5

Effectivement, la testing est dans un état très bizarre, le dernier apt-get upgrade m’a viré amarok et k3b, c’est un vrai bordel … :open_mouth:
Ashgenesis, en attendant que k3b soit disponible dans un état un peu plus convenable, essayes d’installer graveman. Il n’a pas les fonctionnalités de k3b mais ca fonctionne très bien !


#6

Merci vous me rassurez je croyais que c’etais moi qui avait encore jouer avec le diable.

Je vais tester graveman merci


#7

Ce qui est ennuyeux, c’est que cette situation commence à durer un peu longtemps… pour une Testing !
On se croirait avoir une SID pour un peu :confused:


#8

[quote=“Korben Dallas”]Ce qui est ennuyeux, c’est que cette situation commence à durer un peu longtemps… pour une Testing !
On se croirait avoir une SID pour un peu :confused:[/quote]
Ouaip, et je dois dire que j’en ai un peu marre… Je me demande si je vais pas retourner en Sarge encore un moment.
C’est amusant de tester les nouvelles fonctionnalités d’une testing, mais seulement quand ca fous pas trop le bordel. Rien de plus énervant que de reprendre sa machine le lendemain et juste au moment ou on en a besoin, impossible de graver un CD… :imp:


#9

j’ai déjà repondu à cette question sur ce meme forum --> une petite recherche pas bien compliquée (je suis décu par les anciens là!) retourne le resultat suivant:

forum.debian-fr.org/viewtopic.ph … bqt3c102mt

en gros, mettre à jour KDE (3.4.2) pour la Testing au depend de K3b et Kaffeine (mais aussi Skype)

ensuite installer K3b et/ou Kaffeine depuis la Unstable en acceptant l’installation des librairies requises.

pour Skype, il faut installer le paquet “skype1.2-staticqt-binary” depuis le depot “debian unofficial”.

au fait, Ricardo, ne te rappelles-tu pas que c’est à toi que j’avais fourni ces expliquations?!?

++


#10

[quote]Info : je suis en unstable sur cette Debian et toi ?[/quote] En effet et c’est bien pour ça que j’ai précisé que j’étais en Unstable sur cette Debian et si je l’en informais, c’était bien pour cette raison.
D’un autre côté, je viens d’apprendre qu’il y a des problèmes avec la testing et je les subis :
– sarge qui fonctionne bien
– update et dist-upgrade en “testing”
– problèmes de souris (ça ne m’est jamais arrivé) ???
J’ai déjà suivi un post qui en parlait sur “trucs et astuces” mais je patauge encore.


#11

[quote=“ghostintheshell”]j’ai déjà repondu à cette question sur ce meme forum --> une petite recherche pas bien compliquée (je suis décu par les anciens là!) retourne le resultat suivant:

forum.debian-fr.org/viewtopic.ph … bqt3c102mt

en gros, mettre à jour KDE (3.4.2) pour la Testing au depend de K3b et Kaffeine (mais aussi Skype)

ensuite installer K3b et/ou Kaffeine depuis la Unstable en acceptant l’installation des librairies requises.

pour Skype, il faut installer le paquet “skype1.2-staticqt-binary” depuis le depot “debian unofficial”.

au fait, Ricardo, ne te rappelles-tu pas que c’est à toi que j’avais fourni ces expliquations?!?

++[/quote]Merci pour ses infos mais je ne souhaite pas avoir trop de paquets de unstable et c’est pourquoi je posais la question.
J’ai déjà skype en version staticqt-binary merci.
Mais ce qui pose vraiment probleme c’est cette librairie je ne peux quasiment rien installer sans et comme elle ne veut pas s’installer en testing et que je ne désire pas passer en unstable. Ca pose un probleme, mais merci quand meme de nous rafraichir la mémoire :slightly_smiling:


#12

[quote=“Ashgenesis”]Merci pour ses infos mais je ne souhaite pas avoir trop de paquets de unstable et c’est pourquoi je posais la question.
J’ai déjà skype en version staticqt-binary merci.
Mais ce qui pose vraiment probleme c’est cette librairie je ne peux quasiment rien installer sans et comme elle ne veut pas s’installer en testing et que je ne désire pas passer en unstable. Ca pose un probleme, mais merci quand meme de nous rafraichir la mémoire :slightly_smiling:[/quote]

je comprends et je suis du meme avis que toi cependant c’est la seule maniere actuellement que j’ai trouvée pour avoir K3b en Testing.

donc, cela se resume a ne pas avoir K3b en Testing ou l’avoir en Unstable …
(le temps que ça passe en Testing bien evidemment)

le probleme vient du fait qu’ils (l’equipe Debian) ont changé les noms de certains packages.

libqt3c102-mt est uniquement disponible en Stable et c’est pour ça qu’apt veut tout t’enlever (ton KDE en réalité) pour en fait te remettre KDE en Stable.
(C’est donc une eventuelle autre solution … repasser KDE en stable …)

Dorenavant, cette librairie se nomme libqt3-mt en Testing et en Unstable.
Hors, pour une raison inconnues, K3b (et Kaffeine) ne sont pas encore passés en Testing mais sont bien dispos en Unstable.

Idem pour la librairie kdelibs4 / kdelibs4c2.

En fait, ça patouille grâve ^^

Y’aura plus de souci une fois K3b (et Kaffeine) passé en Testing mais en attendant …

Voilà pour l’explication.


#13

Question bête: et plutot que de prendre k3b en sid, vous n’avez pas essayé de le prendre en sarge ?


#14

c’est là qu’il y a tous les problemes de librairies car KDE/K3b Sarge >< KDE/K3b Testing & Unstable (cfr mon post ci-dessus).

le problème est que K3b n’est actuellement pas dispo en Testing :laughing:

donc, je vois 4 solutions à première vue (tant que K3b ne sera pas dispo en Testing tout du moins):

1/ utiliser KDE Sarge + K3b Sarge
2/ utiliser KDE Testing + K3b Unstable [*]
3/ utiliser KDE Unstable + K3b Unstable
4/ utiliser un autre depot (debian-desktop p.e.)

[*] ce que j’ai choisi.

++


#15

[quote][*] ce que j’ai choisi. [/quote] +1

ashgenesis, pourquoi as-tu peur d’avoir un sul paquet ‘sid’ ?
Tu mets les sources sid, juste le tps d’installer K3B et une fois fait, tu commente tes sources ‘sid’ et tu te retrouves en ‘etch’ sans danger.


#16

[quote=“ghostintheshell”]donc, je vois 4 solutions à première vue (tant que K3b ne sera pas dispo en Testing tout du moins):

1/ utiliser KDE Sarge + K3b Sarge
2/ utiliser KDE Testing + K3b Unstable [*]
3/ utiliser KDE Unstable + K3b Unstable
4/ utiliser un autre depot (debian-desktop p.e.)[/quote]
Moi j’en vois une 5ème que j’ai choisie : je ne touche à rien et j’attends. Je précise que k3b est toujours sur ma machine et que je ne me contente que de faire l’équivalent sous synaptic de apt-get upgrade (pas apt-get dist-upgrade).


#17

Ta solution est bien je trouve mais si tu n’as pas k3b d’installer tu es un peu embetter mais bon c’est pas encore le plus grave :stuck_out_tongue:


#18

Problème sur Testing semble-t-il toujours pas résolu ce soir, ça commence à être long avant résolution, je trouve…


#19

Oui c’est très long, d’autant que ça fait déjà un bon moment que c’est dans cet état.
QUand à la solution proposée, elle ne fonctionne pas toujours.
Perso je suis en testing au niveau distrib (donc KDE 3.4.2) et je peux toujours courrir pour installer k3b qui m’a été viré lors d’un malheureux apt-get dist-upgrade que je fait pourtant rarement.

J’avais une meilleure image de Debian…


#20

Dites: c’est pas un peu “windowsien” comme attitude ?
pourquoi vous n’installez pas xcdroast ou gtoaster (si je me souviens bien des noms) ?
un petit apt-cache search burn m’a même donné arson qui est un logiciel de gravage sous KDE (peut être dans un de mes depots non debian).
Enfin je veux dire, c’est l’occasion de faire jouer la concurrence avec k3b !
avant, j’utilisais xcdroast…